Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ClassificationNodeType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ClassificationNodeTypeImpl

    public interface ClassificationNodeType

extends RegistryObjectType

A representation of the model object 'Classification Node Type'. ClassificationNode is the mapping of the same named interface in ebRIM. It extends RegistryObject. ClassificationNode is used to submit a Classification tree to the Registry. The parent attribute is the id to the parent node. code is an optional code value for a ClassificationNode often defined by an external taxonomy (e.g. NAICS)

The following features are supported:

- `Classification Node`
- `Code`
- `Parent`
- `Path`

See Also:
  `RimPackage.getClassificationNodeType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClassificationNode()` Returns the value of the 'Classification Node' containment reference list.
`java.lang.String` | `getCode()` Returns the value of the 'Code' attribute.
`java.lang.String` | `getParent()` Returns the value of the 'Parent' attribute.
`java.lang.String` | `getPath()` Returns the value of the 'Path' attribute.
`void` | `setCode(java.lang.String value)` Sets the value of the '`Code`' attribute.
`void` | `setParent(java.lang.String value)` Sets the value of the '`Parent`' attribute.
`void` | `setPath(java.lang.String value)` Sets the value of the '`Path`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationNode

    org.eclipse.emf.common.util.EList getClassificationNode()

  Returns the value of the 'Classification Node' containment reference list. The list contents are of type `ClassificationNodeType`.

  If the meaning of the 'Classification Node' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node' containment reference list.
  See Also:
    `RimPackage.getClassificationNodeType_ClassificationNode()`

### getCode

    java.lang.String getCode()

  Returns the value of the 'Code' attribute.

  If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `setCode(String)`, `RimPackage.getClassificationNodeType_Code()`

### setCode

    void setCode(java.lang.String value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `getCode()`

### getParent

    java.lang.String getParent()

  Returns the value of the 'Parent' attribute.

  If the meaning of the 'Parent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' attribute.
  See Also:
    `setParent(String)`, `RimPackage.getClassificationNodeType_Parent()`

### setParent

    void setParent(java.lang.String value)

  Sets the value of the '`Parent`' attribute.

  Parameters:
    `value` - the new value of the 'Parent' attribute.
  See Also:
    `getParent()`

### getPath

    java.lang.String getPath()

  Returns the value of the 'Path' attribute.

  If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path' attribute.
  See Also:
    `setPath(String)`, `RimPackage.getClassificationNodeType_Path()`

### setPath

    void setPath(java.lang.String value)

  Sets the value of the '`Path`' attribute.

  Parameters:
    `value` - the new value of the 'Path' attribute.
  See Also:
    `getPath()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD